# Malloc_Allocator.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Malloc_Base.h"`
`#include "ace/Malloc_Allocator.inl"`

Include dependency graph for Malloc_Allocator.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_New_Allocator
| Defines a class that provided a simple implementation of memory allocation. More...
class | ACE_Static_Allocator_Base
| Defines a class that provided a highly optimized memory management scheme for allocating memory statically. More...

## Detailed Description

Id
  Malloc_Allocator.h,v 4.12 2005/11/24 09:48:54 ossama Exp

Author:
  Based on code that formerly existed in another ACE file.